"""empty message

Revision ID: e48336c87b35
Revises: 
Create Date: 2021-10-27 23:00:27.749747

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e48336c87b35'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('car_model_keyword',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('consultation_id', sa.Integer(), nullable=True),
    sa.Column('keyword', sa.String(length=16), nullable=False),
    sa.Column('emotion_category', sa.String(length=16), nullable=False),
    sa.Column('count', sa.Integer(), nullable=False),
    sa.Column('car_model_id', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['car_model_id'], ['car_model.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('keyword'),
    mysql_engine='InnoDB'
    )
    op.create_table('customer_service_record',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('case_id', sa.String(length=255), nullable=False),
    sa.Column('cs_assignee', sa.String(length=255), nullable=False),
    sa.Column('status', sa.String(length=255), nullable=False),
    sa.Column('cs_start_date', sa.DateTime(), nullable=False),
    sa.Column('car_model_id', sa.Integer(), nullable=True),
    sa.Column('cs_category_id', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['car_model_id'], ['car_model.id'], ),
    sa.ForeignKeyConstraint(['cs_category_id'], ['customer_service_category.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('case_id'),
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('customer_service_record')
    op.drop_table('car_model_keyword')
    # ### end Alembic commands ###
